/* Import separate CSS */
@import url("../fonts.css");
@import url("agen-page-mobile.css");
@import url("agen-page-tablet.css");
@import url("agen-page-dekstop.css");
@import url("../general-styles/footer.css");
@import url("../general-styles/navbar.css");
@import url("../general-styles/general.css");

.section-cari-agen-banner,
.profile-agen,
.listing-properti-agen {
  height: max-content;
}
.container-content-banner {
  position: relative;
  display: block;
  width: 100%;
}
.img-banner-cari-agen {
  opacity: 1;
  display: block;
  width: 100%;
  height: 15rem;
  object-fit: cover;
  border-radius: 20px;
  backface-visibility: hidden;
}
.banner-content-title,
.title-banner {
  position: absolute;
  text-align: center;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  top: 50%;
  left: 50%;
}
.banner-content-title {
  border-radius: 20px;
  color: #f1f1f1;
  background-color: rgba(0, 0, 0, 0.5);
  height: 100%;
  width: inherit;
}
.title-banner {
  font-size: 2rem;
  font-weight: 700;
  color: #fff;
}
.card-cari-agen {
  border-radius: 15px;
  border: none;
  box-shadow: 0 6px 12px 0px rgba(194,194,194,1);
  -webkit-box-shadow: 0 6px 12px 0px rgba(194,194,194,1);
  -moz-box-shadow: 0 6px 12px 0px rgba(194,194,194,1);
}
.agen-photo-fluid {
  width: 116px;
  height: 100%;
  position: relative;
  object-fit: cover;
  overflow: hidden;
  border-top-left-radius: 15px;
  border-bottom-left-radius: 15px;
  display: flex;
}
.nama-agen-cari,
.kantor-agen-cari,
.kontak-agen-cari {
  font-size: 0.875rem;
}
.badge-status-online,
.jabatan-agen-cari {
  font-size: 0.6rem;
  font-weight: 400;
}
.badge-status-online {
  height: fit-content;
  width: fit-content;
}
.nama-agen-cari,
.bio-nama-agen,
.bio-kantor-agen {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
.bio-jabatan-agen {
  line-height: 1.5;
  font-weight: 400;
}
.nama-agen-cari {
  line-height: 1;
}
.kantor-agen-cari {
  line-height: 1.1;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
.card-horizontal {
  display: flex;
  flex: 1 1 auto;
}
.card-body-cari-agen {
  height: 151.8px;
  max-height: 151.8px;
  display: grid;
}
.wrapper-info-agen {
  align-self: start;
}
.wrapper-listing-agen {
  align-self: end;
  background-color: #fff;
  border: 1px solid #fdd314;
  border-radius: .5rem;
  padding: .25rem;
  max-height: 37px;
}
.listing-agen-count {
  font-size: .75em;
  line-height: 1.25;
  font-weight: 700;
}
.listing-agen-title {
  font-size: 0.6rem;
  line-height: 1.25;
}
.agen-online {
  display: grid;
  grid-template-columns: auto 30%;
}
.status-agen-offline {
  width: 0.9rem;
  height: 0.9rem;
}
.profile-agen {
  background-color: #fdd314;
}
.card-profile-agen {
  border: none;
  box-shadow: 0 6px 12px 0px rgb(192, 192, 192);
  -webkit-box-shadow: 0 6px 12px 0px rgb(192, 192, 192);
  -moz-box-shadow: 0 6px 12px 0px rgb(192, 192, 192);
}
.card-listing,
.card-qr-agen {
  border: none;
  box-shadow: 0 6px 12px 0px rgba(194,194,194,1);
  -webkit-box-shadow: 0 6px 12px 0px rgba(194,194,194,1);
  -moz-box-shadow: 0 6px 12px 0px rgba(194,194,194,1);
}
.card-profile-agen,
.card-body-profile-agen {
  border-radius: 15px;
}
.photo-profile-agen {
  object-fit: cover;
  border-radius: 50%;
}
.business-unit-button {
  background-color: #fdd314;
  font-size: 0.875rem;
  border: none;
  border-radius: 10px;
  box-shadow: 0 6px 12px 0px rgba(194,194,194,1);
  -webkit-box-shadow: 0 6px 12px 0px rgba(194,194,194,1);
  -moz-box-shadow: 0 6px 12px 0px rgba(194,194,194,1);
  padding: 0.25rem 0.5rem;
  font-weight: 600;
}
.badge-total-business-unit {
  border-radius: 50%;
  display: inline-block;
}
.content-profile-agen {
  display: grid;
}
.space-award-agen {
  display: grid;
  grid-auto-columns: max-content;
  grid-template-rows: 1fr;
  width: 100%;
  overflow-x: auto;
}
.wrapper-list-award {
  grid-row: 1;
  grid-column: auto;
}
.bio-nama-agen {
  font-weight: 700;
  line-height: 1.1;
}
.bio-kantor-agen {
  font-weight: 500;
  line-height: 1.2;
}
.bio-award-agen {
  width: 3.375rem;
  height: 3.375rem;
  max-height: 3.375rem;
  max-width: 3.375rem;
  display: flex;
}
.bio-award-year {
  font-size: 0.9rem;
}
.card-listing,
.card-body-listing {
  background-color: #fdd314;
  border-radius: 10px;
}
.count-listing {
  font-size: 1.125rem;
  font-weight: 700;
}
.count-listing-title {
  font-size: 0.875rem;
  line-height: 1;
}
.border-left {
  border-left: 1px solid #3f3f3f!important;
}
.border-right {
  border-right: 1px solid #3f3f3f!important;
}
.border-left-agen {
  border-left: 1px solid #a4a4a4;
}
.border-right-agen {
  border-right: 1px solid #a4a4a4;
}
.about-agen-status {
  font-size: 0.9rem;
}
.agen-phone,
.agen-email,
.agen-web {
  font-weight: 600;
  font-size: 0.9rem;
}
.agen-phone:hover,
.agen-email:hover {
  cursor: pointer;
  text-decoration: underline;
}
.img-qr-agen {
  display: flex;
  width: 100%;
  height: 100%;
  max-width: 10rem;
  max-height: 10rem;
}
.card-qr-agen,
.card-body-qr-agen {
  border-radius: 15px;
}
.card-body-qr-agen {
  background-color: #fdd314;
}
.listiing-propert-agen-title {
  font-size: 1.5rem;
  font-weight: 700;
}
/* Loading Card */
.card-properti-secondary-loading {
  border-radius: 20px;
  width: 100%;
  -webkit-box-shadow: 0 0 5px 0 rgba(0, 0, 0, .2), 0 0 10px 0 rgba(0, 0, 0, .19);
  -moz-box-shadow: 0 0 5px 0 rgba(0, 0, 0, .2), 0 0 10px 0 rgba(0, 0, 0, .19);
  box-shadow: 0 0 5px 0 rgba(0, 0, 0, .2), 0 0 10px 0 rgba(0, 0, 0, .19);
  border: 0;
  height: 27rem;
}
.card-img-top-properti-secondary-loading {
  position: relative;
  border-top-left-radius: 19px;
  border-top-right-radius: 19px;
  width: inherit;
  background-color: #c9c9c9;
  height: 15rem;
  max-height: 15rem;
  padding: 0;
  background-size: 100% 250px, 100% 15rem, 100px 100px, 225px 30px; 
}
.text-card-loading {
  width: 100%;
  max-height: 1.25rem;
  border-radius: 12px;
  background-size: 100% 250px, 100% 13rem, 100px 100px, 225px 30px; 
}
.text-card-loading,
.card-img-top-properti-secondary-loading {
  background: 
    linear-gradient(0.25turn, transparent, #fff, transparent),
    linear-gradient(#c9c9c9, #c9c9c9);  
  background-repeat: no-repeat;
  background-position: -315px 0, 0 0, 0px 190px, 50px 195px; 
  animation: loading 1.5s infinite;
}
@keyframes loading {  
  to {
    background-position: 315px 0, 0 0, 0 190px, 50px 195px;
  }
}
.modal-agen-nama {
  font-weight: 700;
  color: #000;
}
.modal-agen-kantor {
  font-weight: 500;
  color: #000;
}
/* QR Agen */
.wrapper-qr-agen {
  display: grid;
}
.btn-qr-agen {
  background-color: #fdd314;
  border-radius: .5rem;
  padding: .5rem 1rem;
  width: 100%;
}
.modal-content {
  border-radius: 15px;
}
.modal-header-business-unit {
  border-radius: 15px 15px 0 0;
  border-bottom: transparent;
}
.img-logo-header-business-unit {
  width: 2rem;
  height: 2rem;
}
.modal-title-business-unit {
  height: 2rem;
  font-size: 1.5em;
  font-weight: 600;
}
.modal-body {
  max-height: 20rem;
}
.business-unit-nama {
  font-weight: 700;
}